import { BrowserRouter, Routes, Route } from "react-router-dom";
import { Provider } from "react-redux";
import store from "./store";

import Error from "./Error";
import Landing from "./Landing";
import Display from "./Display";
import Contestant from "./Contestant";
import Host from "./Host";

const App = () => {
  return (
    <Provider store={store}>
      <BrowserRouter>
        <Routes>
          <Route path="/" element={<Landing />} />
          <Route path="new-game" element={<Display />} />
          <Route path="contestant-join/:room" element={<Contestant />} />
          <Route path="host-join/:room" element={<Host />} />
          <Route path="/*" element={<Error />} />
        </Routes>
      </BrowserRouter>
    </Provider>
  );
};

export default App;
