import { useEffect } from "react";
import { useParams } from "react-router-dom";
import { Container, Stack, Button } from "react-bootstrap";

import { socket } from "./socket";

const Host = () => {
  const { room } = useParams();

  useEffect(() => {
    socket.emit("host-join", { room });
  }, []);

  return (
    <Container>
      <Stack gap={3} className="text-center">
        <span>
          <Button onClick={() => socket.emit("host-start")}>Start Game</Button>
        </span>
      </Stack>
    </Container>
  );
};

export default Host;
