import { io } from "socket.io-client";
import store from "./store";
import { setRoomCode } from "./store/socketSlice";
import { addContestant } from "./store/displaySlice";

export const socket = io(`${window.location.hostname}:5000`);

export const setup = () => {
  socket.on("connect", () => {
    console.log("Connected to socket");
  });

  socket.on("set-code", ({ code }) => {
    store.dispatch(setRoomCode(code));
  });

  socket.on("contestant-joined", (data) => {
    store.dispatch(addContestant(data));
  });
};
